## org.omg.CORBA
Class DoubleSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.DoubleSeqHelper

public class DoubleSeqHelper
extends java.lang.Object

Helper class for : DoubleSeq

Author:
  OpenORB Compiler

Constructor Summary
`DoubleSeqHelper()`

Method Summary
`static double[]` `extract(Any a)` Extract DoubleSeq from an any
`static java.lang.String` `id()` Return the DoubleSeq IDL ID
`static void` `insert(Any a, double[] t)` Insert DoubleSeq into an any
`static double[]` `read(InputStream istream)` Read DoubleSeq from a marshalled stream
`static TypeCode` `type()` Return the DoubleSeq TypeCode
`static void` `write(OutputStream ostream, double[] value)` Write DoubleSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DoubleSeqHelper

    public DoubleSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              double[] t)

  Insert DoubleSeq into an any
  Parameters:
    `a` - an any
    `t` - DoubleSeq value

### extract

    public static double[] extract(Any a)

  Extract DoubleSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DoubleSeq value

### type

    public static TypeCode type()

  Return the DoubleSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DoubleSeq IDL ID
  Returns:
    an ID

### read

    public static double[] read(InputStream istream)

  Read DoubleSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DoubleSeq value

### write

    public static void write(OutputStream ostream,
                             double[] value)

  Write DoubleSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DoubleSeq value